Bug 82753 - [IVB, BYT, HSW] Synmark2_V6.0(OglDrvCtx) performance reduced ~15%
Summary: [IVB, BYT, HSW] Synmark2_V6.0(OglDrvCtx) performance reduced ~15%
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: unspecified
Hardware: All Linux (All)
: medium normal
Assignee: Intel 3D Bugs Mailing List
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard: bisected
Keywords:
Depends on: 84501
Blocks:
  Show dependency treegraph
 
Reported: 2014-08-18 08:40 UTC by zhoujian
Modified: 2017-09-14 22:31 UTC (History)
4 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description zhoujian 2014-08-18 08:40:51 UTC
Platform: IVB/BYT/HSW
Libdrm: (master)libdrm-2.4.56-8-gd9ce09de12131fa8c5ff2d7c2dbd6b61d8a5fd14
Mesa: (master)ef130b6050fc91c12a220f19d8bdd659712f7fb9
Xserver: (master)xorg-server-1.15.99.902-121-g2f5cf9ff9a0f713b7e038636484c77f113a5f10a
Xf86_video_intel: (master)2.99.914-55-gf8e632f396bf4b0473dca0516567d56a29954cf3
Cairo: (master)7736d08e22ffd7ab9968617164c7e027125b7755
Libva: (master)acfcd5f0637a951d50c5112c7dfbd46f1d0dcdb3
Libva_intel_driver: (master)82d2ed8d7da3619c0ea467c06604f5626fc0b901
Kernel_version: drm-intel-nightly(git-186631)

Bug detailed description:
----------------------------------------------
Synmark2_V6.0_OglDrvCtx performance reduced ~15% on IVB/BYT-M/HSW, this issue doesn't exist on BDW, The problem exists both on gnome-session and Raw X.
It’s Mesa regression, bisecting show that the first bad commit is:	
commit 2f28a0dc23165123cf1e8b5942acad37878edd8a
Author:     Kristian Høgsberg <krh@bitplanet.net>
AuthorDate: Mon Jul 7 16:44:58 2014 -0700
Commit:     Kristian Høgsberg <krh@bitplanet.net>
CommitDate: Fri Aug 15 11:25:47 2014 -0700
i965: Implement fast color clears using meta operations

Reproduce steps:
---------------------------------------------
1.   xinit&
2.  ./synmark2 OglDrvCtx
Comment 1 Eero Tamminen 2014-08-20 13:54:22 UTC
OglDrvCtx test is CPU bound, high FPS test that on every frame tears down the GL context and redos it (re-compiles shaders etc, it doesn't use textures though).  

I.e. it tests things affecting GL program startup speed, I don't think issues there are high major (unless perf changes are significant without having noticeable benefits elsewhere).
Comment 2 wendy.wang 2014-09-30 03:24:48 UTC
Hello Kristian,

Base on the bisect result, would you pls help take a look at this bug, thanks a lot.
Comment 3 Eero Tamminen 2014-10-15 12:32:43 UTC
(In reply to wendy.wang from comment #2)
> Base on the bisect result, would you pls help take a look at this bug,
> thanks a lot.

The fast clear fix in early September didn't help this?

(Adding dependency to bug 84501 as it can hide the effect of this.)
Comment 4 shuo.wang 2014-11-26 02:56:06 UTC
This bug is also exist on Mesa10.4RC1
Comment 5 zhipeng.Zheng 2014-11-28 02:22:18 UTC
Verify on IVB/BYT-M/HSW,
Synmark2_V6.0(OglDrvCtx) performance rising ~40%,in Nov 26,and compare with Aug 16
but this bug is still exist on Mesa10.4RC1  ,so keep bug open
Comment 6 Kenneth Graunke 2017-09-14 22:31:39 UTC
Sounds like this was fixed a long time ago, but never landed in Mesa 10.4.  That's long since EOL'd, so marking fixed.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.